Core - Task # 57396

Status: Resolved Priority: Must have

Author: Alexander Schnitzler Category: Extbase

Created: 2014-03-27 Assigned To: Alexander Schnitzler
Updated: 2014-09-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove old property mapper of extbase

Description

Finally, after years!

Related issues:
related to Core - Task # 52965: Remove deprecated functions, classes and files

related to Core - Bug # 61636: "Backend users" module requires Extbase Proper...

Closed 2013-01-05
Closed 2014-09-16

Associated revisions

Revision 0199d976 - 2014-09-14 23:30 - Alexander Schnitzler

[M][TASK] Remove deprecated property mapper of Extbase

Extensions requiring rewrittenPropertyMapper = 0

may not work properly any more.

Releases: 6.3

Resolves: #57396

Change-Id: 1d33a364194a9b6ff05301527df7a0af21b8d3807
Reviewed-on: http://review.typo3.0rg/28915

Reviewed-by: HelImut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2014-03-27 17:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28915

#2 - 2014-07-27 17:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28915
#3 - 2014-09-03 03:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28915

#4 - 2014-09-10 09:54 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28915

#5 - 2014-09-14 21:35 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28915

#6 - 2014-09-14 21:45 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28915

#7 - 2014-09-15 00:00 - Alexander Schnitzler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0199d9765a60154026516ecebb84c5cdebb30bef.
